## javax.mail.search
Class IntegerComparisonTerm

    java.lang.Object
      javax.mail.search.SearchTerm
          javax.mail.search.ComparisonTerm
              javax.mail.search.IntegerComparisonTerm

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MessageNumberTerm, SizeTerm

    public abstract class IntegerComparisonTerm

extends ComparisonTerm

This class implements comparisons for integers.

See Also:
  Serialized Form

Field Summary
`protected int` `number` The number.

Fields inherited from class javax.mail.search.ComparisonTerm
`comparison, EQ, GE, GT, LE, LT, NE`

Constructor Summary
`protected` `IntegerComparisonTerm(int comparison, int number)`

Method Summary
`boolean` `equals(Object obj)` Equality comparison.
`int` `getComparison()` Return the type of comparison.
`int` `getNumber()` Return the number to compare with.
`int` `hashCode()` Compute a hashCode for this object.
`protected boolean` `match(int i)`

Methods inherited from class javax.mail.search.SearchTerm
`match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### number

    protected int number

  The number.

Constructor Detail

### IntegerComparisonTerm

    protected IntegerComparisonTerm(int comparison,
                                    int number)

Method Detail

### getNumber

    public int getNumber()

  Return the number to compare with.

### getComparison

    public int getComparison()

  Return the type of comparison.

### match

    protected boolean match(int i)

### equals

    public boolean equals(Object obj)

  Equality comparison.

  Overrides:
    `equals` in class `ComparisonTerm`

### hashCode

    public int hashCode()

  Compute a hashCode for this object.

  Overrides:
    `hashCode` in class `ComparisonTerm`

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.